/*@media screen and (max-width: 1367px) {
	.products-main {
	    padding-left: 9.7%;
	}
	.owl-products .owl-nav
	{
		right: 10.5%;
	}
}*/




/* ── RESPONSIVE ── */
  @media (max-width: 1024px) {
    .services-grid { grid-template-columns: repeat(3, 1fr); }
    .footer-grid { grid-template-columns: 1fr 1fr; }
  }


@media (min-width:992px){

    .mega-menu{
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        min-height:500px;
    }



}




  @media (max-width:991px){


  	.menu-toggle{
        display:block;
        z-index:99999;
    }

    .nav-cta{
        display:none;
    }

    .nav-menu{
        position:fixed;
        top:90px;
        left:-100%;
        width:100%;
        height:calc(100vh - 90px);
        background:#fff;

        flex-direction:column;
        align-items:flex-start;
        gap:0;

        overflow-y:auto;

        transition:.4s;
        padding:20px;
    }

    .nav-menu.active{
        left:0;
    }

    .nav-menu li{
        width:100%;
        border-bottom:1px solid #eee;
    }

    .nav-menu li a{
        display:block;
        padding:15px 0;
        width:100%;
    }

    /* Mobile Mega Menu */

   /* .mega-menu-style2{
        position:static;
        transform:none;
        width:100%;
        display:none;

        grid-template-columns:1fr 1fr;
        opacity:1;
        visibility:visible;

        box-shadow:none;
        border:1px solid #eee;
        margin-bottom:15px;
    }

    .mega-parent.active .mega-menu-style2{
        display:grid;
    }*/

     .mega-menu-style2{
      position:static;
        width:100%;
        display:none;
        grid-template-columns:repeat(2,minmax(0,1fr));
        gap:8px;
        padding:10px;
        box-sizing:border-box;
        overflow:hidden;
    }

    .mega-parent.active .mega-menu-style2{
        display:grid;
    }

    .mega-item{
        min-height:100px;
        padding:10px 10px;
    }

    .mega-item img{
        width:40px;
        height:40px;
    }


    .mega-item span{
        font-size:12px;
        line-height:1.3;
        word-break:break-word;
    }

    .solutions-layout{
        flex-direction:column;
    }

    .sol-tabs{
        width:100%;
        min-width:100%;
        display:grid;
        grid-template-columns:repeat(3,1fr);
    }

    .sol-tab{
        padding:18px 15px;
        font-size:14px;
    }

    .sol-slide{
        height:450px;
    }

    .sol-overlay{
        padding:30px;
    }

    .sol-overlay h3{
        font-size:30px;
    }

    .why-choose-wrapper{
        grid-template-columns:1fr;
    }


 .mega-menu{
        position:fixed;
        top:80px;
        left:0;
        width:100%;
        height:calc(100vh - 80px);
        overflow-y:auto;

        flex-direction:column;
    }

    .mega-sidebar{
        width:100%;
    }

    .mega-sidebar li{
        padding:16px 20px;
        font-size:16px;
    }

    .mega-content{
        padding:15px;
    }

    .tab-content{
        grid-template-columns:repeat(2,1fr);
        gap:12px;
    }

    .menu-box{
        min-height:120px;
    }

.mv-grid{
    grid-template-columns:1fr;
}

.jc-support-grid{
        grid-template-columns:repeat(2,1fr);
    }

    .jc-form-grid{
        grid-template-columns:1fr;
    }

    .jc-form-header h2{
        font-size:40px;
    }

    .jc-section-title h2{
        font-size:30px;
    }

 .service-detail-grid{
        grid-template-columns:1fr;
    }

    .service-detail-content h2{
        font-size:42px;
    }

    .service-benefits{
        grid-template-columns:repeat(2,1fr);
    }


}


  @media (max-width: 768px) {
    .about-grid, .why-grid, .contact-grid, .solutions-layout { grid-template-columns: 1fr; }
    .services-grid { grid-template-columns: repeat(2, 1fr); }
    .projects-grid { grid-template-columns: 1fr; }
    /*.nav-menu { display: none; }*/
    .about-images { display: none; }
    .top-bar .contact-info { display: none; }
    .footer-grid { grid-template-columns: 1fr 1fr; }
    .form-row { grid-template-columns: 1fr; }
    .hero h1 { font-size: 28px; }
    .sol-tabs { display: flex; overflow-x: auto; }
    .sol-tab { min-width: 160px; white-space: nowrap; }
    .solutions-layout { flex-direction: column; }
    .banner-hero,
    .slider-wrap,
    .hero-slider,
    .hero-slider .owl-stage-outer,
    .hero-slider .owl-stage,
    .hero-slider .owl-item,
    .hero-slider .item{
        height:100svh;
        min-height:100svh;
    }

.jc-contact-tabs{
        flex-direction:column;
    }

    .jc-tab-btn{
        width:100%;
        border-right:none !important;
        border-bottom:1px solid #ececec;
    }









  }


@media (max-width:767px){

    .logo img{
        height:50px;
    }

    .sol-tabs{
        display:flex;
        overflow-x:auto;
        white-space:nowrap;
        scrollbar-width:none;
    }

    .sol-tabs::-webkit-scrollbar{
        display:none;
    }

    .sol-tab{
        min-width:180px;
        padding:15px;
        font-size:14px;
    }

    .sol-slide{
        height:300px;
    }

    .sol-overlay{
        padding:20px;
    }

    .sol-overlay h3{
        font-size:22px;
        margin-bottom:10px;
    }

    .sol-overlay p{
        font-size:14px;
        line-height:1.6;
    }

    .sol-overlay a{
        font-size:14px;
    }

    .hero-content{margin: 0 20px;}

 .mega-menu{
        top:70px;
        height:calc(100vh - 70px);
    }

    .mega-sidebar{
        border-bottom:1px solid #e5e5e5;
    }

    .mega-sidebar ul{
        display:flex;
        overflow-x:auto;
        white-space:nowrap;
    }

    .mega-sidebar li{
        min-width:220px;
        padding:15px;
        border-left:none;
        border-bottom:3px solid transparent;
    }

    .mega-sidebar li.active{
        border-left:none;
        border-bottom:3px solid #2563eb;
    }

    .tab-content{
        grid-template-columns:1fr;
    }

    .menu-box{
        min-height:90px;
        font-size:14px;
    }


      .jc-contact-wrapper{
        padding:20px 15px 60px;
    }

    .jc-contact-banner{
        padding:35px 25px;
    }

    .jc-banner-content h1{
        font-size:34px;
    }

    .jc-support-grid{
        grid-template-columns:1fr;
    }

    .jc-contact-form-box{
        padding:25px;
    }

    .jc-form-header h2{
        font-size:32px;
    }

    .jc-section-title h2{
        font-size:26px;
    }


 .service-detail-body{
        padding:70px 0;
    }

    .service-detail-content{
        padding:30px;
    }

    .sidebar-box,
    .cta-box{
        padding:30px;
    }

    .service-detail-content h2{
        font-size:32px;
    }

    .sidebar-box h3,
    .cta-box h4{
        font-size:28px;
    }

    .service-benefits{
        grid-template-columns:1fr;
    }



}





@media(max-width:576px){

.mission-vision{
    padding:70px 18px;
}

.section-title h2{
    font-size:34px;
}

.mv-card{
    padding:30px;
}

.icon{
    width:65px;
    height:65px;
    font-size:25px;
}

.mv-card h3{
    font-size:24px;
}

.section-title p{
    font-size:15px;
}

}

@media(max-width:480px){

   /* .mega-menu-style2{
        grid-template-columns:1fr;
    }*/

    .mega-item{
        padding:10px;
        min-height: 65px;
    }

  

     .mega-item i{
        font-size:16px;
        /*min-width:20px;*/
    }
}